<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php
/*
 * Pontifical Catholic University of Rio de Janeiro
 * Author: Marcos Villas
 * Created on 06/09/2009
 * Local variables start with $ML_
 */

include "includes/config_colunas.php";

defineColunas ($colunas, 'usuario');
defineColunas ($colunas, 'cras');
defineColunas ($colunas, 'visitademanda');

echo "USUARIO<br>";

echo "nome = ";
echo $colunas ['usuario.nomeusuario']['tamanho'];
echo " (" . $colunas ['usuario.nomeusuario']['tipo'] . ")";
if ($colunas ['usuario.nomeusuario']['notnull']) {echo " NOT NULL";}

echo "<br>";
echo "CPF = ";
echo $colunas ['usuario.cpfusuario']['tamanho'];
echo " (" . $colunas ['usuario.cpfusuario']['tipo'] . ")";
if ($colunas ['usuario.cpfusuario']['notnull']) {echo " NOT NULL";}

echo "<br>";
echo "comodos = ";
echo $colunas ['usuario.numcomodosdomiciliousuario']['tamanho'];
echo " (" . $colunas ['usuario.numcomodosdomiciliousuario']['tipo'] . ")";
if ($colunas ['usuario.numcomodosdomiciliousuario']['notnull']) {echo " NOT NULL";}

echo "<br>";
echo "telefone fixo = ";
echo $colunas ['usuario.telefonefixousuario']['tamanho'];
echo " (" . $colunas ['usuario.telefonefixousuario']['tipo'] . ")";
if ($colunas ['usuario.telefonefixousuario']['notnull']) {echo " NOT NULL";}

echo "<br>";
echo "primeira vez = ";
echo $colunas ['usuario.primeiravezcomparecrasusuario']['tamanho'];
echo " (" . $colunas ['usuario.primeiravezcomparecrasusuario']['tipo'] . ")";
if ($colunas ['usuario.primeiravezcomparecrasusuario']['notnull']) {echo " NOT NULL";}

echo "<br />";
echo "<br />";
echo "CRAS<br>";
echo "Nome = ";
echo $colunas ['cras.nomecras']['tamanho'];
echo " (" . $colunas ['cras.nomecras']['tipo'] . ")";
if ($colunas ['cras.nomecras']['notnull']) {echo " NOT NULL";}

echo "<br />";
echo "<br />";
echo "VISITA<br>";
echo "Data = ";
echo $colunas ['visitademanda.datavisita']['tamanho'];
echo " (" . $colunas ['visitademanda.datavisita']['tipo'] . ")";
if ($colunas ['visitademanda.datavisita']['notnull']) {echo " NOT NULL";}
?>
